// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"

namespace Dawn {
  class Game {
    public:
      /**
       * Constructs a new instance of Game, the class majorily responsible for
       * handling all internal dawn functions outside of platform-centric things
       * like windowing and graphics.
       */
      Game();

      /**
       * Deloads game and all sub managers used by game.
       */
      ~Game();
  };
}